=== debian/control ===
Source: live-boot
Section: misc
Priority: optional
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://live.debian.net/devel/live-boot/
Vcs-Browser: http://live.debian.net/gitweb/?p=live-boot.git
Vcs-Git: git://live.debian.net/git/live-boot.git

Package: live-boot
Architecture: all
Depends: ${misc:Depends}, live-boot-initramfs-tools | live-boot-backend
Recommends: eject, file, rsync, uuid-runtime
Suggests: curlftpfs, cryptsetup, httpfs2, unionfs-fuse, wget
Description: Debian Live - System Boot Scripts
 live-boot contains the scripts that configure a Debian Live system during the
 boot process (early userspace).
 .
 In addition to live-boot, a backend for the initrd generation is required, such
 as live-boot-initramfs-tools.

Package: live-boot-initramfs-tools
Architecture: all
Depends:
 ${misc:Depends}, busybox | busybox-initramfs, initramfs-tools, udev
Conflicts: live-boot-backend
Replaces: live-boot-backend
Provides: live-boot-backend
Description: Debian Live - System Boot Scripts (initramfs-tools backend)
 live-boot contains the scripts that configure a Debian Live system during the
 boot process (early userspace).
 .
 This package contains the initramfs-tools backend.
