=== debian/changelog ===
live-boot (3.0~a19-1) unstable; urgency=low

  * Correct rmdir call in top-level Makefiles uninstall target to not
    fail if there was no prior live-boot installation.
  * Making references to debian more distribution neutral.
  * Replacing reference to old alioth page in live-snapshot.
  * Splitting out documentation so that it can be accesses separately
    from the initramfs code.
  * Adding conflicts/replaces for live-boot to live-boot-doc to not
    break upgrades.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Jul 2011 10:28:33 +0200
