=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  as live-boot-initramfs-tools.
 
 Package: live-boot-doc
+Section: doc
 Architecture: all
 Depends: ${misc:Depends}
 Conflicts: live-boot (<< 3.0~a18~)
