## live-boot 3.0~a25

=== debian/changelog ===
live-boot (3.0~a25-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Updating to debhelper version 9.

  [ Michal Suchanek ]
  * Add overlayfs support (Closes: #658265).

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Feb 2012 23:27:38 +0100
