=== debian/changelog ===
live-boot (3.0~a33-1) unstable; urgency=low

  [ chals ]
  * Updating Spanish translation of man pages.

  [ Daniel Baumann ]
  * Removing some more dead parameters from cmdline function.
  * Removing double author entries in Spanish po files.

 -- Daniel Baumann <daniel@debian.org>  Wed, 13 Jun 2012 13:26:49 +0200

live-boot (3.0~a32-1) experimental; urgency=low

  * Dropping snapshot functionality, superseeded by awesome custom mount
    persistence.
  * Setting persistence label for live-* 3.x persistency to
    'persistence', we're not making any difference between full-ov and
    custom-ov anymore on the filesystem and partition label (it's
    determined by the contents of live-persistence.conf).

 -- Daniel Baumann <daniel@debian.org>  Wed, 06 Jun 2012 19:04:01 +0200

live-boot (3.0~a31-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Renaming etc directory to their actual name, examples, within source
    tree.
  * Simplyfing scripts declaration in Makefile.

  [ chals ]
  * Fixing fuzzy strings in Spanish translation of man pages.

  [ Daniel Baumann ]
  * Removing live-reconfigure, not used anymore.
  * Removing live-preseed, not used anymore.
  * Unbreaking cmdline parsing after variable rename.
  * Moving off remaining functions from main boot script to subscript
    for later cleanup.

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 Jun 2012 21:44:44 +0200

live-boot (3.0~a30-1) experimental; urgency=low

  * Removing dead lang2locale function and associated files, not used
    anywhere.
  * Converting select_eth_device initramfs-tools pre-mount script into
    regular live-boot script.
  * Consistenly using 'true' instead of 'Yes' or 'yes' when using
    booleans.
  * Removing some dead boot parameters.
  * Splitting out integrity-check function to subscript.
  * Rewriting live-media checksum verification to work with any SHA and
    MD5 digests.
  * Updating read-only handling to new parameter handling.
  * Updating internal cmdline handling.
  * Updating swapon handling to new parameter handling.
  * Also allowing /dev/vd* to be used as swap devices and drop /dev/hd*.
  * Splitting out swap handling and rewriting to a live-boot subscript.
  * Moving validateroot bottom script into main boot script itself.
  * Removing exporting of variables for reviewed options in the cmdline
    function, not required.
  * Removing fastboot handling, the normal system handles this via
    'fastboot' bootparameter already.
  * Transforming persistence_excludes bottom script into normal live-
    boot script.
  * Transforming fstab bottom script into normal live-boot script.
  * Transforming networking bottom script into normal live-boot script.
  * Simplyfing initramfs-tools specific files within the source tree.

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 Jun 2012 19:37:54 +0200

live-boot (3.0~a29-1) experimental; urgency=low

  * Automatically translate date formats in po files.
  * Starting initramfs-tools specific subdirectory within the source-
    tree.
  * Replacing live initramfs-tools script with empty stub that calls the
    real, in future being initramfs-tools independent, script from
    /lib/live.
  * Splitting out a first bunch of functions out to /live/live/boot/.
  * Moving out live-helpers from initramfs-tools specifics.
  * Adding commented 'set -e' explicitly in all subscripts to avoid
    running it with 'set -e' until we've made sure it's properly
    working.
  * Moving out live-functions from initramfs-tools specifics.
  * Removing live-premount modules script, not needed anymore.
  * Converting read-only initramfs-tools pre-mount script into regular
    live-boot script.

 -- Daniel Baumann <daniel@debian.org>  Tue, 05 Jun 2012 16:00:59 +0200

live-boot (3.0~a28-1) experimental; urgency=low

  [ Tails developers ]
  * Improving robustness of findiso cleanup process.
  * Using fromiso in most places where isofrom was used, thanks to
    adrian15 <adrian15sgd@gmail.com>.
  * Mounting fromiso filesystem on /live/fromiso instead of /fromiso,
    thanks to adrian15 <adrian15sgd@gmail.com>.
  * Improving robustness of fromiso cleanup process with is_mountpoint
    (Closes: #668100).

  [ Daniel Baumann ]
  * Using boot.log and /var/log/live/boot.log respectively for overall
    consistency within all debian-live tools.

  [ Ian Reinhart Geiser ]
  * Fix to allow for multiple rof when exposed roots is disabled.

  [ Tails developers ]
  * Implement and make use of robust list functions.

  [ chals ]
  * Fixing several typos in man pages.
  * Adding initial Spanish translation of man pages.

  [ Evgeni Golov ]
  * Fixing two typos and a wrong word in comments.

 -- Daniel Baumann <daniel@debian.org>  Mon, 04 Jun 2012 17:31:32 +0200

live-boot (3.0~a27-1) experimental; urgency=low

  [ Daniel Baumann ]
  * Only looking at boot.d files if they have the .conf suffix to allow
    putting other files into these places that do not necessarily need
    to be used by live-boot (e.g. documentation).
  * Removing preseed bottom-script, a newly written one is now in live-
    config where this sort of things belong.
  * Removing header in fstab, not required.
  * Removing outdated and broken accessibility script, this will be
    redone in live-config properly.
  * Replacing 'illegal' with better fitting 'invalid' for wrongly
    crafted input examples in live.persist manpage.
  * Consistently using ext4 in all examples, not a mix of ext2 and ext3.
  * Removing user and userfullname variables in scripts/live, they are
    not used here sind live-config anymore.
  * Renaming /live/cow to /live/overlay in anticipation of overlayfs.
  * Using 'persistence' (noun) rather than 'persistent'
    (adjective/adverb) everywhere.
  * Making extraction of the manpage section in manpages/Makefile work
    with multiple dots in the filename.
  * Renaming live.persist to live-persistence.conf.

  [ Tails developers ]
  * Adding support for the findiso boot parameter (Closes: #656135).

