=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,3 @@
 
 override_dh_install:
 	dh_install --fail-missing
-
-override_dh_installinit:
-	dh_installinit -p live-boot --no-restart-on-upgrade --no-start --update-rcd-params='start 89 0 6 .'
