## live-boot 3.0~b1

=== debian/changelog ===
live-boot (3.0~b1-1ubuntu1) quantal; urgency=low

  *  ensure that a potentially stray tmpfs gets removed
     otherways, initramfs-tools is unable to remove /live
     and fails to boot. LP: #1043834

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 20 Sep 2012 09:37:53 +0200

live-boot (3.0~b1-1) unstable; urgency=low

  [ chals ]
  * Fixing build error in 'es' man pages caused by a newline conflict.

  [ Daniel Baumann ]
  * Removing live-new-uuid, a rewritten one goes to live-tools.
  * Adding slightly modified patch from Steven Shiau
    <steven@nchc.org.tw> to transition to /run for network interface
    definition files which fixes resolv.conf creation for netboot.

  [ Steven Shiau ]
  * Reading /conf/param.conf after Select_eth_device in main function to
    fix network booting (Closes: #683240).

  [ Daniel Baumann ]
  * Moving reading of initramfs-tools functions to initramfs-tools
    script.
  * Consistently using case instead of if for conditionals in script
    boilerplate.
  * Laying tmpfs on /live/overlay only during initramfs stage, fixes
    boot failure with plain filesystems (Closes: #681579).
  * Correcting DNS inclusion in initramfs-tools hook, thanks to Steven
    Shiau <steven@nchc.org.tw> for reporting.
  * Simplifying usage of copy_exec function from hooks-function in
    initramfs-tools hook.
  * Using /etc/live/boot/*.conf instead of /etc/live/boot.d/*.conf and
    /live/image/live/boot/*.conf instead of
    /live/image/live/boot.d/*.conf for consistency reasons.
  * Reading configuration file from filesystem and live-media at runtime
    too.
  * Reading configuration files in initramfs-tools hook too.

  [ Steven Shiau ]
  * Adding support for nameserver in ip= boot parameter.

  [ Daniel Baumann ]
  * Making nameserver assignment from ip= bootparameter work with
    persistence.
  * Correcting permissions of /tmp which apparently somehow get mixed up
    along the way.
  * Updating scripts readme about transition to plugin based
    architecture.

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Aug 2012 12:21:04 +0200

live-boot (3.0~a38-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Extending verify-checksums parameters to allow specifying custom
    list of digests.
  * Harmonizing GPL boilerplate texts.

  [ Richard Nelson ]
  * Correct left over references to old initramfs-tools.sh (Closes:
    #682504).

 -- Daniel Baumann <daniel@debian.org>  Fri, 27 Jul 2012 00:20:39 +0200

live-boot (3.0~a37-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Cleaning up initramfs-tools hook.

  [ Tails developers ]
  * Fixing persistence backward-compatibility mode (Closes: #681176).

  [ Daniel Baumann ]
  * Making swap function self contained.
  * Making read-only function self contained.
  * Making verify-checksums function self contained.
  * Factoring out debug into an own function.
  * Extending read-only parameters to allow specifying custom list of
    devices.
  * Avoid re-access /proc/cmdline in select-eth-device function and use
    internal variable instead.

 -- Daniel Baumann <daniel@debian.org>  Wed, 25 Jul 2012 17:18:06 +0200

live-boot (3.0~a36-1) unstable; urgency=low

  * Adding temporary notes in a readme file.
  * Renaming boot scripts for refactoring them into numbered plugins.
  * Renaming mountroot function to main to provide a generic live-boot
    entry point for initramfs generators.
  * Adding temporary redirection layer for dracut initramfs generator.
  * Adding redirection layer for initramfs-tools initramfs generator.
  * Splitting out already reviewed cmdline parsing script.
  * Splitting out already reviewed read-only script.
  * Splitting out already reviewed swapon script.
  * Splitting out already reviewed verify-checksums script.
  * Adding support for defining one or more explicit swap partitions to
    be used.

 -- Daniel Baumann <daniel@debian.org>  Wed, 18 Jul 2012 23:56:06 +0200
